Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
EntryPrefixComparisonDelegate Delegate
See Also Send Feedback

An application-specified prefix comparison function.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate uint EntryPrefixComparisonDelegate(
    	DatabaseEntry dbt1,
    	DatabaseEntry dbt2
    )

Visual Basic (Declaration)
    Public Delegate Function EntryPrefixComparisonDelegate ( _
    	dbt1 As DatabaseEntry, _
    	dbt2 As DatabaseEntry _
    ) As UInteger

Visual C++
    public delegate unsigned int EntryPrefixComparisonDelegate(
    	DatabaseEntry^ dbt1,
    	DatabaseEntry^ dbt2
    )

#### Parameters

dbt1
  Type: BerkeleyDB..::.DatabaseEntry
  The application supplied key.

dbt2
  Type: BerkeleyDB..::.DatabaseEntry
  The current tree's key.

#### Return Value

An unsigned integer value less than, equal to, or greater than zero if the firstkey parameter is considered to be respectively less than, equal to, or greater than the second key parameter.

# See Also

BerkeleyDB Namespace